Subject: Re: [Q] HDF-Vset

From: [email-masked] (Chris Houck)
Date: 18 Oct 93 21:55:06 GMT

[email-masked] (Andrea Leone) writes:

>In article <[email-masked]>, [email-masked] (MARTIN GEGENHEIMER AK kappes) writes:
>> 
>> as HDF claims to be self-describing : is there a way to find out
>> the number-types of Vdata fields? Is that information stored in the
>> hdf-file at all?
>> I'm working with 3.3r1, but as the documentation is 
>> not yet uptodate (HDF3.2, Vset 2.1) I don't know wheter that's 
>> possible or not. (I havent't looked at the low-level interface.)
>
>In HDF3.3r1 there is a function to get the number type 
>of a Vdata field. Its name is VFfieldtype and has two
>arguments:
>
>- the Vdata identifier (int32)
>- the index of the field (int32)
>
>This function is in vsfld.c file.

There are a number of other useful field manipulation routines in
vsfld.c also.  They are all named VFfield****().

char * VFfieldname(int32 vkey, int32 index)
int32 VFfieldtype(int32 vkey, int32 index)
int32 VFfieldisize(int32 vkey, int32 index) /* size in bytes in file   */
int32 VFfieldesize(int32 vkey, int32 index) /* size in bytes in memory */
int32 VFfieldorder(int32 vkey, int32 index)

These routines will be included in the documentation when it comes
out (though aside from the esize and isize ones, which I always have to
look up, the names should be fairly self explanatory).

-Chris
HDF Group